Subject: bug#22107: closed (Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Dec 2015 21:47:04 +0000

Your bug report

#22107: this-command-keys no longer returns prefix argument

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22107: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22107
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Mon, 7 Dec 2015 21:46:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Good point. I've filed a new bug and I'm closing this one.

Subject: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Mon, 7 Dec 2015 15:42:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring says:

Unlike ‘this-command-keys’, this function’s value
does not include prefix arguments.

However, the function ‘this-command-keys’ also does not seem to return
prefix arguments. I tested this by evaluating the following code and then
typing C-u C-F3. (the output is just [C-f3])

(defun bababa ()
  (interactive)
  (message "%s" (this-command-keys)))

(global-set-key (kbd "C-<f3>") #'bababa)